PDFTOIPE(1)

NAME
pdftoipe - Convert PDF files into editable Ipe format

SYNOPSIS
pdftoipe { options } PDF file [ XML file ]

DESCRIPTION

pdftoipe converts arbitrary PDF files to Ipe's XML format.

Note that pdftoipe is not related to Ipe's use of the PDF file format. PDF files generated by Ipe contain an extra stream with Ipe markup information, which is necessary for Ipe to read the file again. If you wish to convert an Ipe-generated PDF-file to XML format, you should use ipetoipe -xml! pdftoipe is meant to allow you to take arbitrary PDF files and make them editable in Ipe.

pdftoipe does a pretty good job on drawings, but doesn't handle text very well. Ipe's text model is based on LaTeX, which is just very different from the text found in most PDF files.

-notext
    Ignore all text in the PDF file, convert graphics only

-literal
    Allow Latex markup in text objects. The default is to escape all characters special in Latex.

-math
    Use LaTeX math mode for all text in the PDF file

-merge int
    Set the text merge level, an integer between 0 (the default) and 2. It determines how eagerly pdftoipe tries to combine consecutive text in the PDF document into a single Ipe text object. At level 0, only characters consecutively rendered in PDF are combined. At level 1, more text is combined. At level 2, all text is combined until a path or image is drawn.

-unicode int
    Determine what should be done with non-ASCII characters in text. At level 0, all non-ASCII characters are represented as [U+XXX]. At level 1 (the default), some often used characters (such as bullets) are replaced by Latex equivalents, others are represented as [U+XXX]. At level 2, characters that are not replaced by Latex equivalents are included in UTF-8. At level 3, all characters are included as UTF-8.

    At level 2 and 3, UTF-8 is set as the input encoding in the Latex preamble of the generated Ipe document.

    Note that this only concerns characters for which the PDF file provides a mapping to Unicode. Characters from embedded fonts without Unicode mapping (such as symbol fonts) are always represented as [S+XX].

-f int
    First page to convert

-l int
    Last page to convert

-opw string
    Owner password for encrypted PDF files

-upw string
    User password for encrypted PDF files

-q  Quiet mode (don't print any messages or errors)

AUTHOR
Otfried Cheong

REPORTING BUGS
Please report bugs at http://ipe7.sourceforge.net/bugzilla.html

SEE ALSO
More information about Ipe can be found in The Ipe Manual, available online at http://ipe7.sourceforge.net/manual/manual.html